strcoll
strip_tags
String Functions
PHP Manual

# strcspn

(PHP 4, PHP 5)

strcspn — Find length of initial segment not matching mask

### Description

int strcspn ( string `$str1` , string `$str2` [, int `$start` [, int `$length` ]] )

Returns the length of the initial segment of `str1` which does not contain any of the characters in `str2` .

### Parameters

`str1`

  The first string.

`str2`

  The second string.

`start`

  The start position of the string to examine.

`length`

  The length of the string to examine.

### Return Values

Returns the length of the segment as an integer.

### ChangeLog

Version | Description
--- | ---
4.3.0 | The `start` and `length` were added

### Notes

> Note: This function is binary-safe.

### See Also

- strspn()

strcoll
strip_tags
String Functions
PHP Manual